ViewVC Help
View File | Revision Log | Show Annotations | Download File | View Changeset | Root Listing
root/mports/trunk/Makefile
Revision: 5
Committed: Sun Sep 17 04:48:52 2006 UTC (17 years, 8 months ago) by archite
File size: 4695 byte(s)
Log Message:
Added fluxbox to mports with all depends

File Contents

# User Rev Content
1 archite 5 # $MidnightBSD: mports/Makefile,v 1.1.1.1 2006/09/17 03:33:42 archite Exp $
2 archite 2 # $FreeBSD: ports/Makefile,v 1.96 2006/02/11 02:26:30 kris Exp $
3     #
4    
5     SUBDIR += converters
6     SUBDIR += devel
7     SUBDIR += graphics
8     SUBDIR += irc
9     SUBDIR += lang
10     SUBDIR += net-im
11     SUBDIR += print
12     SUBDIR += textproc
13     SUBDIR += www
14     SUBDIR += x11
15 archite 5 SUBDIR += x11-wm
16 archite 2
17     PORTSTOP= yes
18    
19     .include <bsd.port.subdir.mk>
20    
21     index:
22     @rm -f ${INDEXDIR}/${INDEXFILE}
23     @cd ${.CURDIR} && make ${INDEXDIR}/${INDEXFILE}
24    
25     fetchindex: ${INDEXDIR}/{INDEXFILE}.bz2
26     @bunzip2 < ${INDEXDIR}/${INDEXFILE}.bz2 > ${INDEXDIR}/${INDEXFILE} && \
27     chmod a+r ${INDEXDIR}/${INDEXFILE}
28    
29     ${INDEXDIR}/{INDEXFILE}.bz2: .PHONY
30     @${FETCHINDEX} ${INDEXDIR}/${INDEXFILE}.bz2 ${MASTER_SITE_INDEX}${INDEXFILE}.bz2
31    
32     MASTER_SITE_INDEX?= http://www.FreeBSD.org/ports/
33     SETENV?= /usr/bin/env
34     FETCHINDEX?= ${SETENV} ${FETCH_ENV} fetch -am -o
35     INDEX_JOBS?= 2
36    
37     .if !defined(INDEX_VERBOSE)
38     INDEX_ECHO_MSG= echo > /dev/null
39     INDEX_ECHO_1ST= echo -n
40     .else
41     INDEX_ECHO_MSG= echo 1>&2
42     INDEX_ECHO_1ST= echo
43     .endif
44    
45     ${INDEXDIR}/${INDEXFILE}:
46     @${INDEX_ECHO_1ST} "Generating ${INDEXFILE} - please wait.."; \
47     if [ "${INDEX_PRISTINE}" != "" ]; then \
48     export LOCALBASE=/nonexistentlocal; \
49     export X11BASE=/nonexistentx; \
50     fi; \
51     tmpdir=`/usr/bin/mktemp -d -t index` || exit 1; \
52     trap "rm -rf $${tmpdir}; exit 1" 1 2 3 5 10 13 15; \
53     ( cd ${.CURDIR} && make -j${INDEX_JOBS} INDEX_TMPDIR=$${tmpdir} BUILDING_INDEX=1 \
54     ECHO_MSG="${INDEX_ECHO_MSG}" describe ) || \
55     (rm -rf $${tmpdir} ; \
56     if [ "${INDEX_QUIET}" = "" ]; then \
57     echo; \
58     echo "********************************************************************"; \
59     echo "Before reporting this error, verify that you are running a supported"; \
60     echo "version of FreeBSD (see http://www.FreeBSD.org/ports/) and that you"; \
61     echo "have a complete and up-to-date ports collection. (INDEX builds are"; \
62     echo "not supported with partial or out-of-date ports collections -- in"; \
63     echo "particular, if you are using cvsup, you must cvsup the \"ports-all\""; \
64     echo "collection, and have no \"refuse\" files.) If that is the case, then"; \
65     echo "report the failure to ports@FreeBSD.org together with relevant"; \
66     echo "details of your ports configuration (including FreeBSD version,"; \
67     echo "your architecture, your environment, and your /etc/make.conf"; \
68     echo "settings, especially compiler flags and WITH/WITHOUT settings)."; \
69     echo; \
70     echo "Note: the latest pre-generated version of INDEX may be fetched"; \
71     echo "automatically with \"make fetchindex\"."; \
72     echo "********************************************************************"; \
73     echo; \
74     fi; \
75     exit 1); \
76     cat $${tmpdir}/${INDEXFILE}.desc.* | (cd ${.CURDIR} ; perl ${.CURDIR}/Tools/make_index) | \
77     sed -e 's/ */ /g' -e 's/| */|/g' -e 's/ *|/|/g' -e 's./..g' | \
78     sort -t '|' +1 -2 | \
79     sed -e 's../.g' > ${INDEXDIR}/${INDEXFILE}.tmp; \
80     if [ "${INDEX_PRISTINE}" != "" ]; then \
81     sed -e "s,$${LOCALBASE},/usr/local," -e "s,$${X11BASE},/usr/X11R6," \
82     ${INDEXDIR}/${INDEXFILE}.tmp > ${INDEXDIR}/${INDEXFILE}; \
83     else \
84     mv ${INDEXDIR}/${INDEXFILE}.tmp ${INDEXDIR}/${INDEXFILE}; \
85     fi; \
86     rm -rf $${tmpdir}; \
87     echo " Done."
88    
89     print-index: ${INDEXDIR}/${INDEXFILE}
90     @awk -F\| '{ printf("Port:\t%s\nPath:\t%s\nInfo:\t%s\nMaint:\t%s\nIndex:\t%s\nB-deps:\t%s\nR-deps:\t%s\nE-deps:\t%s\nP-deps:\t%s\nF-deps:\t%s\nWWW:\t%s\n\n", $$1, $$2, $$4, $$6, $$7, $$8, $$9, $$11, $$12, $$13, $$10); }' < ${INDEXDIR}/${INDEXFILE}
91    
92     CVS?= cvs
93     SUP?= cvsup
94     PORTSNAP?= portsnap
95     PORTSNAP_FLAGS?= -p ${.CURDIR}
96     .if defined(SUPHOST)
97     SUPFLAGS+= -h ${SUPHOST}
98     .endif
99     update:
100     .if defined(PORTSNAP_UPDATE)
101     @echo "--------------------------------------------------------------"
102     @echo ">>> Running ${PORTSNAP}"
103     @echo "--------------------------------------------------------------"
104     @${PORTSNAP} ${PORTSNAP_FLAGS} fetch
105     @${PORTSNAP} ${PORTSNAP_FLAGS} update
106     .elif defined(SUP_UPDATE) && defined(PORTSSUPFILE)
107     @echo "--------------------------------------------------------------"
108     @echo ">>> Running ${SUP}"
109     @echo "--------------------------------------------------------------"
110     @${SUP} ${SUPFLAGS} ${PORTSSUPFILE}
111     .elif defined(CVS_UPDATE)
112     @echo "--------------------------------------------------------------"
113     @echo ">>> Updating ${.CURDIR} from cvs repository" ${CVSROOT}
114     @echo "--------------------------------------------------------------"
115     cd ${.CURDIR}; ${CVS} -R -q update -A -P -d -I!
116     .elif defined(SUP_UPDATE) && !defined(PORTSSUPFILE)
117     @${ECHO_MSG} "Error: Please define PORTSSUPFILE before doing make update."
118     @exit 1
119     .else
120     @${ECHO_MSG} "Error: Please define either PORTSNAP_UPDATE, SUP_UPDATE, or CVS_UPDATE first."
121     .endif

Properties

Name Value
cvs2svn:cvs-rev 1.2